Mail::MtPolicyd::Connection::Redis(3pm)

NAME
Mail::MtPolicyd::Connection::Redis - a mtpolicy connection for redis databases

VERSION
version 2.05

SYNOPSIS
  <Connection redis>
    server = "127.0.0.1:6379"
    # or
    # sock = "/path/to/sock"
    # or
    # sentinels = "127.0.0.1:12345,127.0.0.1:23456"
    # service = "mymaster"

    db = 0
    # password = "secret"
  </Connection>

PARAMETERS

server (default: '127.0.0.1:6379')
    Connect to redis server with TCP/IP.

    Format: <host>:<port>

sock (default: undef)
    Connect to redis server UNIX domain socket.

    Specify the path to the UNIX domain socket.

sentinels (default: undef)
    Specify a comma separated list of sentinel instances to contact for finding the master for the service specified by "service" below.

service (default: undef)
    Specify the service to ask the sentinel servers for.

debug (default: 0)
    Set to 1 to enable debugging of redis connection.

password (default: undef)
    Set password if required for redis connection.

db (default: 0)
    Select a redis database to use.

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991